#pragma once
#include <Array.h>
#include <Screen.h>
#include <Drawing.h>

using namespace Framework;

class Menu : public ReferenceCounter
{
protected:
    RCArray<Drawable> elements;
    Screen* zScreen;

public:
    Menu(Screen* zScreen);

    virtual void show();
    virtual void hide();
};